
#ifndef __KRYPTWIT_H__
#define __KRYPTWIT_H__


#ifdef __cplusplus
extern "C"
{
#endif

// Error codes and stuff
#define OK                 0
#define NULL_POINTER       1
#define MSG_TOO_LARGE      2
#define MSG_WRONG_LENGTH   3
#define MSG_WRONG_PREFIX   4
#define USERNAME_TOO_LARGE 5


int status_update_encrypt(char *msgout, char *msgin, const char *username, const char *password);
int status_update_decrypt(char *msgout, char *msgin, const char *username, const char *password);

#ifdef __cplusplus
}
#endif

#endif

