
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "kryptwit.h"

int main(int argc, char **argv)
{
	char plaintext[160], ciphertext[160];
	
	if(argc != 4)
	{
		printf("Usage: %s <e|d> username password\n", argv[0]);
		return -1;
	}
	
	memset(plaintext, 0, 160);
	memset(ciphertext, 0, 160);
	printf("Type the message now:\n");
	fgets(plaintext, 159, stdin);
	if(strchr(plaintext, '\n')) *strchr(plaintext, '\n') = 0;

	
	if(strcmp(argv[1], "e") == 0)
	{
		status_update_encrypt(ciphertext, plaintext, argv[2], argv[3]);
		printf("%s\n", ciphertext);
	}
	else if(strcmp(argv[1], "d") == 0)
	{
  	status_update_decrypt(ciphertext, plaintext, argv[2], argv[3]);
  	printf("%s\n", ciphertext);
  }
  else
  	printf("What?\n");
  	
	return 0;
}
